﻿using Kreta.Core.MessageBroker.Contract.MobileNotification;
using Kreta.MessageBroker.ClientFactory;
using Kreta.MessageBroker.Configuration;
using Kreta.MessageBroker.TraceLog;

namespace Kreta.MessageBroker.Client.MobileNotification
{
    /// <summary>
    /// Mobile notification client
    /// </summary>    
    class MobileNotificationMessageClient : MessageClient<MobileNotificationMessage>
    {
        #region [Constructor(s)]

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="jsonMessageClientFactory">Json message client factory of mobile notification message</param>
        /// <param name="configuration">Configuration</param>
        public MobileNotificationMessageClient(
            IJsonMessageClientFactory<MobileNotificationMessage> jsonMessageClientFactory,
            IMessageBrokerConfiguration configuration,
            ITraceMessageClient traceMessageClient,
            ISerilogTraceLogger serilogTraceLogger) : base(Constants.MobileNotificationMessageClient.Name,
                                                           jsonMessageClientFactory,
                                                           configuration,
                                                           traceMessageClient,
                                                           serilogTraceLogger,
                                                           Constants.MobileNotificationMessageClient.LoggerName)
        { }

        #endregion
    }
}
